Attribute VB_Name = "Declarations"
Option Private Module
Option Explicit

Public Const MASTER_BLOCK = ""
Public Const MASTER_ELEMENT = ""
Public Const MASTER_IDENTIFICATION = ""
Public Const MASTER_HEADER = ""
Public Const MASTER_SCHEMA = ""
Public Const MASTER_OPERATION = ""
Public Const MASTER_PROXY = ""
Public Const MASTER_MINIATURE = ""

Public Const SHAPE_BLOCK = "Blocks.Block"
Public Const SHAPE_ELEMENT = "Blocks.Element"
Public Const SHAPE_IDENTIFICATION = "Blocks.IdentityPair"
Public Const SHAPE_HEADER = "Blocks.Header"
Public Const SHAPE_SCHEMA = "Blocks.SchemaContainer"
Public Const SHAPE_OPERATION = "Blocks.OperationContainer"
Public Const SHAPE_PROXY = "Blocks.Proxy"
Public Const SHAPE_MINIATURE = "Blocks.Summary"

Public Const OPERATION_GAP = 30# / 25.4 ' mm to inches
Public Const HEADER_MARGINS = 20# / 25.4
Public Const HEADER_MAX_WIDTH = 1300 / 25.4
Public Const MINIATURE_OFFSET = 5# / 25.4
Public Const MINIATURE_HEIGHT_MULTIPLIER = 1.75

Public Const CELLSU_CONTAINER_MARGINS = "User.msvSDContainerMargin"
Public Const CELLSU_BLOCK_HEADER = "User.ShowHeader"
Public Const CELLSU_ELEMENT_TYPE = "User.UType"
Public Const CELLSU_IS_INHERITED = "User.IsInherited"
Public Const CELLSU_IS_HIGHTLIGHT = "User.IsHighlight"

Public Const TEMPLATE_PREFIX = ""
Public Const SERVER_TEMPLATES = "\\fs1.concept.ru\projects\10  \01  \-\"
Public Const HELP_FILE_PATH = "\\fs1.concept.ru\projects\10  \01  \-\! .docx"

' Type of schema element
Public Enum TElement
  T_EL_UNKNOWN = 0
  [_First] = 1
  
  T_EL_BASIC = 1
  T_EL_DERIVED = 2
  T_EL_ASSERTION = 3
  T_EL_COMMENT = 4
  T_EL_INTERPRETATION = 5
  
  T_EL_SCHEMA = 6
  T_EL_PROXY = 7
  T_EL_BLOCK = 8
  T_EL_OPERATION = 9
  T_EL_IDENTITY = 10
  
  [_Last] = 10
  T_EL_HEADER = 20
  T_EL_MINIATURE = 21
End Enum

' Schema entity type
Public Enum TSchemaEntity
  T_SE_COMMENT = 0
  T_SE_BASIC = 1
  T_SE_DERIVED = 2
  T_SE_INTERPRETATION = 3
  T_SE_ASSERTION = 4
End Enum

' -------- Excel -------------
Public Const XL_TEMPLATE_NAME = "-Excel.xltx"

Public Const XL_SHEET_SHAPES = ""
Public Const XL_SHEET_LINKS = ""

Public Enum OutXLShapesStruct
  [_First] = 1
  
  S_XLS_ID = 1
  S_XLS_TYPE = 2
  S_XLS_POWER = 3
  S_XLS_TEXT1 = 4
  S_XLS_TEXT2 = 5
  S_XLS_CONTAINED = 6
  S_XLS_INHERITED = 7
  S_XLS_HIGHLIGHT = 8
  S_XLS_PINX = 9
  S_XLS_PINY = 10
  S_XLS_WIDTH = 11
  S_XLS_HEIGHT = 12

  [_Last] = 12
End Enum

Public Enum OutXLLinksStruct
  [_First] = 1
  
  S_XLL_ID = 1
  S_XLL_SOURCE = 2
  S_XLL_DESTINATION = 3
  S_XLL_TEXT = 4

  [_Last] = 4
End Enum

' -------- Word -------------
Public Const WD_TEMPLATE_NAME = "-Word.dotx"

Public Const WB_STYLE_TEXT = "! "
Public Const WB_STYLE_SCHEMA = " 2"
Public Const WB_STYLE_COMMENT = "! "
Public Const WB_STYLE_INTERPRETATION = "! "
