Attribute VB_Name = "z_UIRibbon"
Option Explicit

Public Sub OnAction(iControl As IRibbonControl)
  Select Case iControl.ID
    Case "ToggleHeaders":     Call RunToggleHeaders
    Case "ToggleMiniatures":  Call RunToggleMiniatures
    Case "CycleType":         Call RunCycleElementType
    Case "ToggleInherited":   Call RunToggleInherited
    Case "ToggleHighlight":   Call RunToggleHighlight
    Case "ReflectParents":    Call RunReflectParents
    Case "FixEnumeration":    Call RunFixEnumeration
    Case "EnumerateAll":      Call RunEnumerateSchemas
    
    Case "ExportWord":        Call RunExportWord
    Case "ExportExcel":       Call RunExportExcel
    Case "ToggleTheme":       Call RunToggleColorTheme
    Case "GlobalHelp":        Call RunHelp
    
    Case Else: Call CC_DispatchCommand(iControl.ID)
  End Select
End Sub

Public Sub OnUpdateRibbon(iControl As IRibbonControl, ByRef returnedVal)
  returnedVal = True
End Sub
